package models

type UserInfo struct {
	Id                int64   //自增
	Addr              string  //主键
	Direct            string  //我的上级
	DirectNumber      int     //直推总人数
	IndirectRewards   float64 `xorm:"Decimal"`
	Indirect          string  //上上级
	IndirectNumber    int     //间推总人数
	DirectRewards     float64 `xorm:"Decimal"`
	Superiors         string  //所有上级
	AvailableClaim    float64 `xorm:"Decimal"` //可领取收益
	TotalClaimed      float64 `xorm:"Decimal"` //总共已领取的收益
	AvailableReinput  float64 `xorm:"Decimal"` //可用复投
	TotalReinputed    float64 `xorm:"Decimal"` //总复投
	ParticipateAmount float64 `xorm:"Decimal"` //总参与

	State      int //身份   0 1正式   2  社区
	CreateTime string
	Hash       string
}

// TeamCultivate float64 `xorm:"Decimal"`
// 	CommunityGift float64 `xorm:"Decimal"`
// 	CommunityNode float64 `xorm:"Decimal"`

type Performance struct {
	Addr               string  //主键
	TotalPerformance   float64 `xorm:"Decimal"`
	PerformanceLevel   int
	PerformanceRewards float64 `xorm:"Decimal"`

	TotalTeamCultivate   float64 `xorm:"Decimal"`
	CultivateLevel       int
	TeamCultivateRewards float64 `xorm:"Decimal"`

	CommunityGift float64 `xorm:"Decimal"`
	CommunityNode float64 `xorm:"Decimal"`
}

type BlockInfo struct {
	Id          int64 //主键
	BlockNumber int64
}

type RewardsPool struct {
	Id              int64   //主键
	TeamPerformance float64 `xorm:"Decimal"`
	TeamCultivate   float64 `xorm:"Decimal"`
	TotalPool       float64 `xorm:"Decimal"`
}

type ClaimedTxs struct {
	Id          int64 //自增
	Addr        string
	Amount      float64 `xorm:"Decimal"`
	BlockHeight int64
	Hash        string
	Signature   string //主键
	CreateTime  string
	State       int
}
